%%% ite.cls (laTeX2e)
%%   for Transactions on Media Technology and Applications
%%     by Sho Takahashi (Hokkaido Univ.), 2012
%%%

%%%
%% The functions of special section were removed 
%% by Sho Takahashi (Hokkaido Univ.), 2012/10/16

%%%
%% ``Month'' in the functions of date log were added 
%% by Sho Takahashi (Hokkaido Univ.), 2012/10/16

%%%
%% ``fellow member'' was added 
%% by Sho Takahashi (Hokkaido Univ.), 2012/10/20
%%%
%% ``Vol.1 = Year 1947'' was changed to ``Vol.1 = Year 2013''
%% by Sho Takahashi (Hokkaido Univ.), 2012/12/07

%%%
%% Function for author photo was changed.
%% by Sho Takahashi (Hokkaido Univ.), 2012/12/17

%%%
%% Function for editorial date was changed.
%% by Sho Takahashi (Hokkaido Univ.), 2014/7/18

%%%
%% Function for editorial date was changed. (Footnote of firstpage and begin{video} was added.)
%% by Sho Takahashi (Hokkaido Univ.), 2015/3/10

%%%
%% Function for editorial date was changed. (Footnote of firstpage)
%% by Sho Takahashi (Hokkaido Univ.), 2015/3/15

%%%
%% Function for editorial date was changed. (Footnote of firstpage)
%% by Sho Takahashi (Hokkaido Univ.), 2015/3/23


\let\inhibitglue\relax
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{ite}
%% based on ite.sty ver.2.0 [December 15 1997]
%% based on ite.cls [2003/07/22 v1.0 for ITE]
%[2012/3/12 v1.0 for Transactions of ITE]
%[2012/10/16 v1.1 for Transactions of ITE]
%[2012/10/22 v1.1.1 for Transactions of ITE]
%[2012/12/07 v1.1.2 for Transactions of ITE]
%[2012/12/17 v1.1.5 for Transactions of ITE]
%[2014/7/18 v1.5 for Transactions of ITE]
%[2015/3/10 v1.6 for Transactions on MTA]
%[2015/3/10 v1.7 for Transactions on MTA]
[2015/3/15 v1.8 for Transactions on MTA]

\def\ite@warning{\ClassWarningNoLine{ite}}
\def\iteline@warning{\ClassWarning{ite}}

\newdimen\@JQ
 \@JQ=0.7392507pt
\newdimen\@Q
 \@Q=0.71144pt
\newdimen\@EM
 \@EM=.03125em

\newif\if@paper\@papertrue
\DeclareOption{paper}{\@papertrue}

\newcounter{@paper}
\newcommand{\@ptsize}{}
\newif\if@restonecol

\@ifundefined{hour}{}{%
 \hour\time \divide\hour by 60\relax
 \@tempcnta\hour \multiply\@tempcnta 60\relax
 \minute\time \advance\minute-\@tempcnta
}
%\newif\if@stysize \@stysizefalse
\newif\if@enablefam \@enablefamtrue
\DeclareOption{a4paper}{\setcounter{@paper}{1}%
  \setlength\paperheight {297mm}%
  \setlength\paperwidth  {210mm}}
\DeclareOption{10pt}{\renewcommand{\@ptsize}{0}}
\DeclareOption{11pt}{\renewcommand{\@ptsize}{1}}
\DeclareOption{12pt}{\renewcommand{\@ptsize}{2}}

\DeclareOption{oneside}{\@twosidefalse}
\DeclareOption{twoside}{\@twosidetrue}
\DeclareOption{onecolumn}{\@twocolumnfalse}
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{% \input{fleqn.clo}
 \ite@warning{fleqn is incorporated into this class file}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}}
\DeclareOption{disablefam}{\@enablefamfalse}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\ExecuteOptions{a4paper,10pt,twoside,twocolumn,final}
\ProcessOptions\relax

%%% /usr/local/teTeX/share/texmf/tex/latex/base/ot1cmr.fd
\DeclareFontShape{OT1}{cmr}{m}{n}%
     {%
      <-6>cmr5%
      <6-7>cmr6%
      <7-8>cmr7%
      <8-9>cmr8%
      <9-10>cmr9%
      <10-12>cmr10%
      <12-17>cmr12%
      <17->cmr17%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{sl}%
     {%
      <-9>cmsl8%
      <9-10>cmsl9%
      <10-12>cmsl10%
      <12->cmsl12%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{it}%
     {%
      <-8>cmti7%
      <8-9>cmti8%
      <9-10>cmti9%
      <10-12>cmti10%
      <12->cmti12%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{sc}%
     {%
      <->cmcsc10%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{ui}
     {%
      <->cmu10%
      }{}
\DeclareFontShape{OT1}{cmr}{b}{n}
     {%
      <->cmb10%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{n}
     {%
      <-6>cmbx5%
      <6-7>cmbx6%
      <7-8>cmbx7%
      <8-9>cmbx8%
      <9-10>cmbx9%
      <10-12>cmbx10%
      <12->cmbx12%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{sl}
     {%
      <->cmbxsl10%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{it}
     {%
      <->cmbxti10%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{ui}
     {%
      <->sub*cmr/m/ui
      }{}

\renewcommand{\normalsize}{%
  \@setfontsize\normalsize\@xpt{5.25mm}%
  %\abovedisplayskip .5\Cvs \@plus .25\Cvs \@minus .15\Cvs
  \abovedisplayskip .5\baselineskip \@plus .25\baselineskip \@minus .15\baselineskip
  \abovedisplayshortskip \z@ \@plus 1\p@
  %\belowdisplayshortskip .3\Cvs \@plus .15\Cvs \@minus .1\Cvs
  \belowdisplayshortskip .3\baselineskip \@plus .15\baselineskip \@minus .1\baselineskip
  \belowdisplayskip \abovedisplayskip
  \let\@listi\@listI
}
\normalsize

\setbox0\hbox{"} %{\char\euc"A1A1}

\newcommand{\Small}{\@setfontsize\Small\@ixpt{5mm}}

\newcommand{\small}{%
  \@setfontsize\small\@viiipt{5mm}%
  \abovedisplayskip .5\baselineskip
   \@plus .25\baselineskip \@minus .15\baselineskip
  \abovedisplayshortskip \z@ \@plus 1\p@
  \belowdisplayshortskip .3\baselineskip
   \@plus .15\baselineskip \@minus .1\baselineskip
  \def\@listi{\leftmargin\leftmargini
              \topsep .5\baselineskip
               \@plus .25\baselineskip \@minus .15\baselineskip
              \parsep \z@
              \itemsep \parsep}%
  \belowdisplayskip \abovedisplayskip
}

\newcommand{\footnotesize}{%
  \@setfontsize\footnotesize\@viipt{3.5mm}%
  \abovedisplayskip .5\baselineskip
   \@plus .25\baselineskip \@minus .15\baselineskip
  \abovedisplayshortskip \z@ \@plus 1\p@
  \belowdisplayshortskip .3\baselineskip
   \@plus .15\baselineskip \@minus .1\baselineskip
  \def\@listi{\leftmargin\leftmargini
              \topsep .5\baselineskip
               \@plus .25\baselineskip \@minus .15\baselineskip
              \parsep \z@
              \itemsep \parsep}%
  \belowdisplayskip \abovedisplayskip
}

\newcommand{\scriptsize}{\@setfontsize\scriptsize\@vipt{7}}
\newcommand{\tiny}{\@setfontsize\tiny\@vpt\@vipt}
\newcommand{\large}{\@setfontsize\large\@xiipt{5mm}}
\newcommand{\Large}{\@setfontsize\Large\@xivpt{5.5mm}}
\newcommand{\LARGE}{\@setfontsize\LARGE\@xviipt{8mm}}
\newcommand{\huge}{\@setfontsize\huge\@xxpt{28}}
\newcommand{\Huge}{\@setfontsize\Huge\@xxvpt{33}}

\headheight\z@
\headsep\z@
%\topskip1\Cht
\topskip1\ht0
\footskip6.5mm
\maxdepth .5\topskip
\textwidth175.5mm % (26x2+26H)x13Q
\@settopoint\textwidth
\textheight 48\baselineskip
\advance \textheight \topskip
\advance \textheight .25mm % limit=.183mm
\@settopoint\textheight
\if@twocolumn
 \setlength\marginparsep{5mm}
\else
 \setlength\marginparsep{5mm}
\fi
\setlength\marginparpush{5\p@}

 \topmargin \z@
 \@settopoint\topmargin
 \oddsidemargin\z@
 \@settopoint\oddsidemargin
 \evensidemargin\z@
 \@settopoint\evensidemargin

\marginparwidth 20mm
\@settopoint\marginparwidth

\footnotesep2.45mm % 14H x 0.7
\skip\footins .75\baselineskip \@plus 5.15mm \@minus 2mm
\floatsep 1\baselineskip \@plus 2\p@ \@minus 2\p@
\textfloatsep 1.5\baselineskip \@plus 2\p@ \@minus 4\p@
\intextsep 1.5\baselineskip \@plus 2\p@ \@minus 2\p@
\dblfloatsep 1\baselineskip \@plus 2\p@ \@minus 2\p@
\dbltextfloatsep 1.5\baselineskip \@plus 2\p@ \@minus 4\p@

\@fptop 0\p@ \@plus 1fil
\@fpsep 8\p@ \@plus 2fil
\@fpbot 0\p@ \@plus 1fil
\@dblfptop 0\p@ \@plus 1fil
\@dblfpsep 8\p@ \@plus 2fil
\@dblfpbot 0\p@ \@plus 1fil
\partopsep \z@

\def\@listi{\leftmargin\leftmargini
%  \parsep  4\p@ \@plus2\p@ \@minus\p@
%  \topsep  8\p@ \@plus2\p@ \@minus4\p@
%  \itemsep 4\p@ \@plus2\p@ \@minus\p@
  \topsep.5\baselineskip \@plus .25\baselineskip \@minus .15\baselineskip
  \parsep\z@ %% 2\p@ \@plus\p@ \@minus\p@
  \itemsep\parsep
}
\let\@listI\@listi
\@listi
\def\@listii{\leftmargin\leftmarginii
   \labelwidth\leftmarginii \advance\labelwidth-\labelsep
   \topsep 4\p@ \@plus2\p@ \@minus\p@
   \parsep 2\p@ \@plus\p@  \@minus\p@
   \itemsep\parsep}
\def\@listiii{\leftmargin\leftmarginiii
   \labelwidth\leftmarginiii \advance\labelwidth-\labelsep
   \topsep    2\p@  \@plus\p@\@minus\p@
   \parsep    \z@
   \partopsep \p@ \@plus\z@ \@minus\p@
   \itemsep\topsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}

\columnsep7mm %2zw
\columnseprule0\p@
\lineskip1\p@ 
\normallineskip1\p@
\renewcommand{\baselinestretch}{}
\parskip\z@
\parindent3.5mm %1zw

\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{5}
\setcounter{bottomnumber}{5}
\setcounter{totalnumber}{10}
\setcounter{dbltopnumber}{5}
\renewcommand{\topfraction}{.95}
\renewcommand{\bottomfraction}{.95}
\renewcommand{\textfraction}{.05}
\renewcommand{\floatpagefraction}{.05}
\renewcommand{\dbltopfraction}{.95}
\renewcommand{\dblfloatpagefraction}{.05}

%The difinition of Proof is removed by Sho Takahashi.
\let\@Rtop\relax\let\@Ltop\relax\let\@Rbot\relax\let\@Lbot\relax

\def\nombre@font{\Small\normalfont}
\def\volpage@font{\Small\sffamily}
\def\foot@font{\footnotesize}%\gtfamily\sffamily}

\def\ps@plain{%
 \let\@mkboth\@gobbletwo
 \def\@oddhead{\@Ltop\hfil\@Rtop}%
 \let\@evenhead\@oddhead
 \def\@oddfoot{\@Lbot\hfil
  {\nombre@font (\fmt@pagenum{\thepage})}\hskip2.5mm
  {\volpage@font \output@volpage}\hskip3.25mm
  \@Rbot}%
 \def\@evenfoot{\@Lbot\hskip3.25mm
  {\volpage@font \output@volpage}\hskip2.5mm
  {\nombre@font (\fmt@pagenum{\thepage})}\hfil
  \@Rbot}%
}

\def\ps@empty{\let\@mkboth\@gobbletwo
 \def\@oddhead{\@Ltop\hfil\@Rtop}%
 \let\@evenhead\@oddhead
 \def\@oddfoot{\@Lbot\hfil\@Rbot}%
 \let\@evenfoot\@oddfoot
}

\def\ps@ite{\let\@mkboth\@gobbletwo
 \def\@oddhead{\@Ltop\hfil\@Rtop}%
 \let\@evenhead\@oddhead
 \def\@oddfoot{\@Lbot\hskip3.25mm
  \foot@font ITE Transactions on Media Technology and Applications
  Vol.\,\@Vol\unskip, No.\,\@No\unskip, pp.\,\output@volpage\kern0pt
   --\kern0pt\ite@lastpage\hskip2mm
    (\@Year)\hfil
  {\nombre@font (\fmt@pagenum{\thepage})}\hskip2.5mm
  {\volpage@font \output@volpage}\hskip3.25mm
  \@Rbot}%
 \def\@evenfoot{\@Lbot\hskip3.25mm
  {\volpage@font \output@volpage}\hskip2.5mm
  {\nombre@font (\fmt@pagenum{\thepage})}\hfil
  \foot@font ITE Transactions on Media Technology and Applications
  Vol.\,\@Vol\unskip, No.\,\@No\unskip, pp.\,\output@volpage\kern0pt
   --\kern0pt\ite@lastpage\hskip2mm
    (\@Year)\hskip3.25mm
  \@Rbot}%
}

\def\ps@ITE{\let\@mkboth\@gobbletwo
 \def\@oddhead{\@Ltop\hfil\@Rtop}%
 \let\@evenhead\@oddhead
 \def\@oddfoot{\@Lbot\hskip3.25mm
  \foot@font{\bfseries \foot@type\kern0.875mm \kern0.875mm \@foottitle}\hfil
  {\nombre@font (\fmt@pagenum{\thepage})}\hskip2.5mm
  {\volpage@font\output@volpage}\hskip3.25mm
  \@Rbot}%
 \def\@evenfoot{\@Lbot\hskip3.25mm
  {\volpage@font \output@volpage}\hskip2.5mm
  {\nombre@font (\fmt@pagenum{\thepage})}\hfil
  \foot@font ITE Transactions on Media Technology and Applications
  Vol.\,\@Vol\unskip, No.\,\@No\unskip\hskip2mm (\@Year)\hskip3.25mm
  \@Rbot}%
}

\newcounter{volpage}% \c@volpage
\setcounter{volpage}{1}
\newcount\@volpageoffset

\def\ite@lastpage{%
 \@ifundefined{r@ite@lastpage}
  {{\bfseries ?}}%
  {\edef\@temppage{\expandafter\@cdr\r@ite@lastpage\@nil}%
   \@tempcnta\@temppage\relax
   \advance \@tempcnta \@volpageoffset
   \the\@tempcnta
  }%
}

\def\output@volpage{%
 \ifnum\c@volpage=\@ne
  \thepage
 \else
  \c@volpage\c@page
  \advance \c@volpage \@volpageoffset
  \the\c@volpage
 \fi
}

\def\fmt@pagenum#1{%
 \ifnum\c@page<10\relax
  \,#1\,%
 \else
  #1%
 \fi
}

\def\Vol#1{% Vol 1 = Year 2012
 \def\@tempa{#1}%
 \ifx\@tempa\empty
  \gdef\@Vol{xx}%
 \else
  \edef\@tempb{\zap@space#1 \@empty}%
  \afterassignment\remove@to@nnil
   \count@ 0\@tempb\relax\@nnil
  \ifnum\count@=\z@
   \gdef\@Vol{xx}%
  \else
   \@tempcnta=#1\relax
   \advance \@tempcnta 2012\relax
   \xdef\@Year{\the\@tempcnta}%
   \gdef\@Vol{\zap@space#1 \@empty}%
  \fi
 \fi
}
\def\@Vol{xx}
\def\@Year{20xx}

\def\No#1{%
 \def\@tempa{#1}%
 \ifx\@tempa\empty
  \gdef\@No{xx}%
 \else
  \gdef\@No{\zap@space#1 \@empty}%
 \fi
}
\def\@No{xx}

% The difinision of letter is removed by Sho Takahashi.

\def\foot@type{Paper}
\def\head@type{\raise1.8mm\hbox{Paper}}

% The difinision of Special Section is removed by Sho Takahashi.

\newdimen\@affindent

\def\maketitle{\par
 \@volpageoffset\c@volpage
 \global\advance \@volpageoffset -\c@page
 \ifnum\check@alcnt<\@alcnt
  \ite@warning{information of \string\affiliate\space is not specified}%
 \fi
 \ifnum\check@p@alcnt<\p@alcnt
  \ite@warning{information of \string\paffiliate\space is not specified}%
 \fi
 \begingroup
  \ifnum\p@alcnt>12\relax % 9+3
   \ifnum\@alcnt>\thr@@
    \def\@fnsymbol##1{\ifcase##1 \or \dagger 1\or \dagger 2\or 
     \dagger 3\or \dagger 4\or \dagger 5\or \dagger 6\or 
     \dagger 7\or \dagger 8\or \dagger 9\or
     *1\or *2\or *3\or *4\or *5\or *6\else\@ctrerr\fi\relax}%
   \else
    \def\@fnsymbol##1{\ifcase##1 \or {\dagger}\or {\dagger}{\dagger}\or 
     {\dagger}{\dagger}{\dagger}\or 4\or 5\or 6\or 7\or 8\or 9\or
     *1\or *2\or *3\or *4\or *5\or *6\else\@ctrerr\fi\relax}%
   \fi
  \else
   \ifnum\@alcnt>\thr@@
    \def\@fnsymbol##1{\ifcase##1 \or \dagger 1\or \dagger 2\or 
     \dagger 3\or \dagger 4\or \dagger 5\or \dagger 6\or 
     \dagger 7\or \dagger 8\or \dagger 9\or
     *\or {*}{*}\or {*}{*}{*}\else\@ctrerr\fi\relax}%
   \else
    \def\@fnsymbol##1{\ifcase##1 \or {\dagger}\or {\dagger}{\dagger}\or 
     {\dagger}{\dagger}{\dagger}\or 4\or 5\or 6\or 7\or 8\or 9\or
     *\or {*}{*}\or {*}{*}{*}\else\@ctrerr\fi\relax}%
   \fi
  \fi
  \ifnum\@alcnt=\thr@@
   \@affindent5mm     % 2zw
  \else
   \ifnum\p@alcnt=12\relax %% 9+3
    \@affindent5mm    % 2zw
   \else
    \@affindent3.75mm % 1.5zw
   \fi
  \fi
  \def\@affmarkform##1{$##1$}%
  \long\def\@makefntext##1{%
    \everypar={\hangindent=\@affindent}%
    \parindent\@affindent
    \noindent\hbox to \@affindent{\hss\@affmarkform{\@thefnmark}\,}##1}

%%
  \twocolumn[\@maketitle]
  \thispagestyle{ite}%
  \@reported
  \@acceptance
  \@affiliate
  \@videoUseFirst
  \@videoUseSecond
  \@videoUseThird
  \endgroup
 \setcounter{footnote}{0}
 \let\maketitle\relax
 \let\@maketitle\relax
 \let\@make@head\relax
 \let\title\relax\let\subtitle\relax
 \gdef\@reported{}\let\reported\relax
 \gdef\@received{}\gdef\@revised{}\gdef\@finalreceived{}\gdef\@accepted{}%
 \let\received\relax\let\revised\relax\let\finalreceived\relax
 \let\accepted\relax\let\@acceptance\relax
 
 \gdef\@affiliate{}
 \let\affiliate\relax\let\paffiliate\relax
 \@authorlist={}%
 \let\@outputAuthorlist\relax
 \let\L@outputAuthorlist\relax
 \let\@ae\relax\let\@aeP\relax
 \let\breakauthorline\relax
 \@authorcnt\z@
 \loop\ifnum \@authorcnt < \@totalnumber
  \advance \@authorcnt \@ne
   \expandafter\let\csname @authorname\number\@authorcnt\endcsname\relax
 \repeat
 
 %% edited by Sho Takahashi 20150315
 %% moved to after the affiliate by Sho Takahashi 20150323
 \gdef\@videoFlagFirst{}\let\videoUseFirst\relax
 \gdef\@videoFlagSecond{}\let\videoUseSecond\relax
 \gdef\@videoFlagThird{}\let\videoUseThird\relax
 
}

\def\author@font{\normalfont\fontsize{10.95}{\f@baselineskip}\selectfont}
\def\subtitle@font{%
 \normalsize
}

\newskip\AboveTitleSkip
 \AboveTitleSkip 3mm
\newskip\AboveSubtitleSkip
 \AboveSubtitleSkip 2mm
\newskip\AboveAuthorSkip
 \AboveAuthorSkip 8.5mm
\newskip\AboveAbstractSkip
 \AboveAbstractSkip 4.75mm
\newskip\AboveKeywordSkip
 \AboveKeywordSkip 7.25mm
\newskip\BelowTitleSkip
 \BelowTitleSkip\z@

\def\@maketitle{%
 \parindent\z@
 \setbox\@tempboxa\vbox{%
  \@make@head
  \nointerlineskip
  \vskip\AboveTitleSkip
  {\LARGE\bfseries
   \hfil\parbox[t]{162.5mm}{\@title}%
  }\par
  \ifx\@subtitle\empty\else
  \nointerlineskip
   \vskip\AboveSubtitleSkip
   {\subtitle@font\baselineskip7.5mm
    \hfil\parbox[t]{162.5mm}{\@subtitle}%
   }\par
   \fi
   \nointerlineskip
   \vskip\AboveAuthorSkip
   \ifnum\@totalnumber=\z@\else
       {\author@font
	 \baselineskip5.5mm
	 \tabskip\fill
	 \halign to 169mm{
	   \hspace{3mm}
	   \tabskip\z@
	   \hfil\hbox{##}&\hbox{##} & 
	   \hfil\hbox{##}&\hbox{##} & 
	   \hfil\hbox{##}&\hbox{##} & 
	   \hfil\hbox{##}&\hbox{##} \cr
	   \@outputAuthorlist
	}%
       }\par
       \fi
       \nointerlineskip
       \vskip\AboveAbstractSkip
       \ifvoid\@abstractbox\else
       \hfil\box\@abstractbox
       \fi
       \vskip\AboveKeywordSkip
       \ifvoid\@keywordbox\else
       \hfil\box\@keywordbox\par
       \fi
 }%
 \@tempdima \ht\@tempboxa
 \advance \@tempdima \dp\@tempboxa
 \@tempdimb \@tempdima
 \divide \@tempdimb \baselineskip
 \@tempcnta=\@tempdimb
 \@tempdimb \@tempcnta\baselineskip
 \advance \@tempdima -\@tempdimb
 \ifdim \@tempdimb > .5\baselineskip
  \advance \@tempcnta \@ne
 \fi
 %%
 \newpage\null
 \boxmaxdepth\z@
 \lineskiplimit\z@
 \lineskip\z@
 \vbox to \@tempcnta\baselineskip{%
  \box\@tempboxa
 \vss}%
 \vskip\baselineskip
 \vskip\BelowTitleSkip
}

\def\type@font{%
  % The difinision of letter is removed by Sho Takahashi.
  \LARGE\bfseries%\KFtype@paper 
}

% The font of Special Section was removed by Sho Takahashi.

\def\@make@head{%
 \vbox{%
  \hrule height .4mm width \textwidth
   \hbox{%
    \vrule width .4mm height 7.6mm
     \@tempdima\textwidth
     \advance \@tempdima -.8mm
     \hbox to \@tempdima{%
      \hbox{\type@font\hskip2.5mm\head@type\hskip2.5mm}%
      \vrule width .4mm height 7.6mm
      \leaders\hrule height 2mm depth -1.6mm\hfil
       \hbox to \z@{%
        %% gray scale
        \setbox\@tempboxa\hbox{\type@font\hskip2.5mm\head@type\hskip2.5mm}%
        \@tempdimb\textwidth
        \advance \@tempdimb -\wd\@tempboxa
        \advance \@tempdimb -1.2mm % 0.4x3
        \raise2.05mm\hbox to \z@{\hss
         \textcolor{headgray}{\rule{\@tempdimb}{5.55mm}}}%
        %%
	%The fucntion of Special Section was removed by Sho Takahashi. 
        }%
     }%
   \vrule width .4mm height 7.6mm depth -1.6mm
   }%
  \hrule height .4mm width \textwidth
 }\par
}

%% Date log

\def\reported#1{%
 \gdef\@reported{%
  \footnotetext{\hskip-\@affindent \inhibitglue #1\inhibitglue}}%
}
\def\@reported{}

\def\@acceptance{%
 \ifx\@received\empty\else
  \footnotetext{\hskip-\@affindent
%   \raggedright
   \@acceptanceSpace\@acceptancePreIN\@received\@revised\@finalreceived\@accepted}%
 \fi
}

\def\acceptanceSpace#1{%
  \edef\@tempa{\zap@space#1 \@empty}%
  \ifx\@tempa\@empty\def\@tempa{0}\fi
  \xdef\@received{\vskip+10mm}%
}
\def\@acceptanceSpace{}

\def\acceptancePreIN#1{%
  \edef\@tempa{\zap@space#1 \@empty}%
  \ifx\@tempa\@empty\def\@tempa{0}\fi
  \xdef\@received{Received \hskip+24mm; Revised \hskip+24mm; Accepted \vskip+5mm}%
}
\def\@acceptancePreIN{}


\def\received#1#2#3{%
  \edef\@tempa{\zap@space#2 \@empty}%
  \ifx\@tempa\@empty\def\@tempa{0}\fi
  \xdef\@received{Received 
   \expandafter\ifcase\@tempa \or January\or February\or March\or 
   April\or May\or June\or July\or August\or September\or October\or 
   November\or December\or Month\fi\ #3, #1}%
}
\def\@received{}

%% cf. \raggedright inside definition of \@acceptance
\newcount\accpt@penalty
\accpt@penalty \z@ %\@highpenalty

\def\revised#1#2#3{%
  \edef\@tempa{\zap@space#2 \@empty}%
  \ifx\@tempa\@empty\def\@tempa{0}\fi
  \xdef\@revised{\penalty\@M; \penalty-\accpt@penalty 
   Revised 
   \expandafter\ifcase\@tempa \or January\or February\or March\or April\or 
    May\or June\or July\or August\or September\or October\or 
    November\or December\or Month\fi\ #3, #1}%
}
\def\@revised{}

\def\finalreceived#1#2#3{%
  \edef\@tempa{\zap@space#2 \@empty}%
  \ifx\@tempa\@empty\def\@tempa{0}\fi
  \xdef\@finalreceived{\penalty\@M; \penalty-\accpt@penalty 
   Final received 
   \expandafter\ifcase\@tempa \or January\or February\or March\or April\or 
    May\or June\or July\or August\or September\or October\or 
    November\or December\or Month\fi\ #3, #1}%
}
\def\@finalreceived{}

\def\accepted#1#2#3{%
  \edef\@tempa{\zap@space#2 \@empty}%
  \ifx\@tempa\@empty\def\@tempa{0}\fi
  \xdef\@accepted{\penalty\@M; \penalty-\accpt@penalty
   Accepted 
   \expandafter\ifcase\@tempa \or January\or February\or March\or April\or 
    May\or June\or July\or August\or September\or October\or 
    November\or December\or Month\fi\ #3, #1}%
}
\def\@accepted{}

\def\title{\@ifnextchar[% ]
 {\d@title}{\s@title}}
\def\d@title[#1]#2{%
 \gdef\@title{#2}}
\def\s@title#1{%
 \gdef\@title{#1}}


\def\subtitle#1{\gdef\@subtitle{#1}}

\def\@title{}%%%%
\def\@subtitle{}%%%%
\def\@foottitle{}

\newbox\@tempboxb

\def\@chkftlength{%
 \setbox\@tempboxa\hbox{%
  {\nombre@font (\fmt@pagenum)}\hskip2.5mm
  {\volpage@font \output@volpage}\hskip3.25mm}%
 \setbox\@tempboxb\hbox{\foot@font\bfseries
  \hskip3.25mm\foot@type\kern0.875mm \kern0.875mm
  \@foottitle}%
  \@tempdima\textwidth
  \advance \@tempdima -\wd\@tempboxa
  \advance \@tempdima -\wd\@tempboxb
  \ifdim \@tempdima < 3.5mm
   \ite@warning{title for footer is too wide. make it shorter}%
  \fi
}

\newbox\@abstractbox
\def\abstract{%
 \global\setbox\@abstractbox\hbox\bgroup
  \begin{minipage}[t]{162.5mm}
   \small
   \parindent1em
   \noindent\hskip3.25mm
   {\bfseries Abstract}\hskip1em
 \ignorespaces
}
\def\endabstract{%
 \end{minipage}\egroup
 \ignorespaces
}

\newbox\@keywordbox
\def\keyword{%
 \global\setbox\@keywordbox\hbox\bgroup
  \begin{minipage}[t]{162.5mm}
   \footnotesize\hskip3.25mm
    {\bfseries Key words}:\ 
 \ignorespaces
}
\def\endkeyword{%
 \end{minipage}\egroup
 \ignorespaces
}

\newtoks\@authorlist
\newcount\@authorcnt
\newcount\@alcnt
\newcount\p@alcnt
 \p@alcnt 9\relax
\newcount\@totalnumber
\newdimen\@namesep
 \@namesep 1.875mm % .5zw at 15Q

\def\authorlist#1{%
 \@authorlist={#1}\the\@authorlist
}

 \def\authorentry#1#2#3{\@ifnextchar[% ]
  {\@aeP{#1}{#2}{#3}}%
  {\@ae{#1}{#2}{#3}}}

\def\get@al#1{%
 \@for\get@label:=#1\do{%
  \@ifundefined{al@\get@label}%
   {\def\@noaffi{none}\def\tmp@affi{#1}%
    \ifx\@noaffi\tmp@affi\else
     \global\advance \@alcnt \@ne\fi
    \expandafter\xdef\csname al@\get@label\endcsname{\the\@alcnt}%
    \advance \@tempcnta \@ne
    \expandafter\xdef\csname al@\romannumeral\@tempcnta\endcsname{%
     \get@label}%
   }%
   {\advance \@tempcnta \@ne
    \expandafter\xdef\csname al@\romannumeral\@tempcnta\endcsname{%
     \get@label}%
   }%
 }%
}

\def\name@expandafter#1#2{%
  \def\next{#1}%
  \edef\@tempa{#2}%
  \ifx\@tempa\@empty
  \iteline@warning{author's name is empty!}%
  \@temptokena{Unknown Author}%
  \def\@tempa{\@empty}%
  \fi
  \expandafter\next\@tempa}
\def\chk@name#1{%
  \name@expandafter\@chk@name{#1}\@nil}
\def\@chk@name#1#2\@nil{\def\get@oneword{#1}}

\def\fmt@an#1#2#3{%
  \@temptokena{#1}%
  \def\tmp@paffi{#3}%
  \expandafter\xdef\csname @authorname\number\@authorcnt\endcsname{%
    \the\@temptokena
    \csname @authormembership\number\@authorcnt\endcsname
    \@ifundefined{al@#2}%
		 {\expandafter\ifnum\expandafter\csname al@\al@i\endcsname\expandafter
		   >\csname al@\al@ii\endcsname
		   $^{\noexpand\@fnsymbol{\csname al@\al@ii\endcsname},}$%
		   $^{\noexpand\@fnsymbol{\csname al@\al@i\endcsname}}$%
		   \else
		   $^{\noexpand\@fnsymbol{\csname al@\al@i\endcsname},}$%
		   $^{\noexpand\@fnsymbol{\csname al@\al@ii\endcsname}}$%
		   \fi
		   \ifx\tmp@paffi\empty\else
		   $^{\noexpand\@fnsymbol{\csname p@al@#3\endcsname}}$%
		   \fi
		 }%
		 {$^{\noexpand\@fnsymbol{\csname al@#2\endcsname}}$%
		   \ifx\tmp@paffi\empty\else
		   $^{\noexpand\@fnsymbol{\csname p@al@#3\endcsname}}$%
		   \fi
		 }%
  }%
}

\def\chk@mbrship#1{% m,s,h,n,f
  \if#1m\else
  \if#1s\else
  \if#1h\else
  \if#1n\else
  \if#1f\else
  \ite@warning{Option "#1" of \string\authorentry\space is invalid, 
    specify m, s, h, f, or n}%
  \expandafter\global\expandafter\let\csname #1@member\endcsname\relax
  \fi
  \fi
  \fi
  \fi
  \fi
}

\def\fmt@mbrship#1{%
  \chk@mbrship{#1}%
  \expandafter\xdef\csname @authormembership\number\@authorcnt\endcsname{%
    \csname #1@member\endcsname &}%
}

\def\@ae#1#2#3{%
 \@tempcnta\z@
 \advance \@authorcnt \@ne
 % author label
 \get@al{#3}%
 % no affiliate
 \def\al@none{0}%
 % membership in English
 \fmt@mbrship{#2}%
 % author's name and membership in English
 \fmt@an{#1}{#3}{}%
 %
 \global\@totalnumber\@authorcnt
}

\def\@aeP#1#2#3[#4]{%
 \@tempcnta\z@
 \advance \@authorcnt \@ne
 % author label
 \get@al{#3}%
 % no affiliate
 \def\al@none{0}%
 % author label (present)
 \@ifundefined{p@al@#4}%
  {\global\advance \p@alcnt \@ne
   \expandafter\xdef\csname p@al@#4\endcsname{\the\p@alcnt}}%
  {\relax}%
 % membership in English
 \fmt@mbrship{#2}%
 % author's name and membership in English
 \fmt@an{#1}{#3}{#4}%
 %
 \global\@totalnumber\@authorcnt
}

\font\mem@font=cmr10 at 8pt
\def\m@member{{\mem@font\ (member)}}
\def\h@member{{\mem@font\ (honorary member)}}
\def\s@member{{\mem@font\ (student member)}}
\def\f@member{{\mem@font\ (fellow)}}
\def\n@member{{\mem@font\ }}

\newcount\d@cnt

\newcount\@alignorder
\@alignorder4\relax
\def\authoralign#1{\@alignorder#1}

\def\align@author{}

 \@alignorder\thr@@

 \def\@outputAuthorlist{%
  \@tempcnta\@totalnumber
  \divide \@tempcnta \@alignorder
  \@tempcntb\@tempcnta
  \d@cnt\@tempcntb
  \multiply \d@cnt \@alignorder
  \expandafter\def\csname delim@\number\d@cnt\endcsname{, \cr}%
  \loop
   \ifnum\@tempcntb>\@ne
   \advance \@tempcntb \m@ne
    \d@cnt\@tempcntb
    \multiply \d@cnt \@alignorder
    \expandafter\def\csname delim@\number\d@cnt\endcsname{, \cr}%
  \repeat
  \@authorcnt\z@
  \d@cnt\z@
  \loop\ifnum \@authorcnt < \@totalnumber
   \advance \@authorcnt \@ne
   \advance \d@cnt \@ne
    \@ifundefined{delim@\number\d@cnt}%
     {\expandafter\def\csname delim@\number\d@cnt\endcsname{%
	 ,\ &}%
      \expandafter\def\csname delim@\number\@totalnumber\endcsname{\cr}%
     }{\relax}%
   \xdef\align@author{\align@author
    \csname @authorname\number\@authorcnt\endcsname
    \csname delim@\number\d@cnt\endcsname}%
  \repeat
  \align@author
 }

\def\breakauthorline#1{%
 \@for\@breakauthor:=#1\do{%
  \expandafter\gdef\csname @breakauthorline\@breakauthor\endcsname{\\}%
 }%
  \@authorcnt\z@
  \loop\ifnum \@authorcnt < \@totalnumber
   \advance \@authorcnt \@ne
    \@ifundefined{@breakauthorline\number\@authorcnt}%
    {\expandafter\gdef\csname @breakauthorline\number\@authorcnt\endcsname
     {\relax}}{\relax}%
  \repeat
}

\newcount\check@alcnt
\newcount\check@p@alcnt
\check@p@alcnt 9\relax

\def\address@font{\fontsize{6.5}{\z@}\selectfont%\KFaddress
}

 \def\affiliate[#1]#2#3{%
  \advance \check@alcnt \@ne
  \begingroup
   \@ifundefined{al@#1}%
    {\expandafter\def\csname al@#1\endcsname{1}%
     \ite@warning{Check the "#1" label,^^J it does not correspond to 
      any labels in \string\authorentry\space command}}%
    {\protected@xdef\@affiliate{\@affiliate
      \protect\footnotetext[\csname al@#1\endcsname]%
       {#2\hfil\protect\break{\address@font (#3)}}}%
    }%
  \endgroup
 }
 \def\paffiliate[#1]#2{%
  \advance \check@p@alcnt \@ne
  \begingroup
   \@ifundefined{p@al@#1}%
    {\expandafter\def\csname p@al@#1\endcsname{1}%
     \ite@warning{Check the "#1" label,^^J it does not correspond to 
      any labels in \string\authorentry\space command}}%
    {\protected@xdef\p@affiliate{\p@affiliate
      \protect\footnotetext[\csname p@al@#1\endcsname]{#2}}%
    }%
  \endgroup
 }
 \def\@affiliate{}
 \def\p@affiliate{}
 
 %% Sho Takahashi 20150315
\def\videoFlag#1{%
  \edef\@tempa{\zap@space#1 \@empty}%
  \ifx\@tempa\@empty\def\@tempa{0}\fi
  \ifcase\@tempa 
    \def\@videoUseFirst{}%
    \def\@videoUseSecond{}%
    \def\@videoUseThird{}%
  \or
    \def\@videoUseFirst{%
      \footnotetext{\hskip-\@affindent
        \@videoFlagFirst
      }%
    }
    \def\@videoUseSecond{%
      \footnotetext{\hskip-\@affindent
        \@videoFlagSecond
      }%
    }
    \def\@videoUseThird{%
      \footnotetext{\hskip-\@affindent
        \@videoFlagThird
      }%
    }
    \videoFlagFirst{}
    \videoFlagSecond{}
    \videoFlagThird{}
  \fi
}
\def\@videoFlag{}
\def\videoFlagFirst{%
  \xdef\@videoFlagFirst{
    This \hskip 0.5mm paper \hskip 0.5mm includes \hskip 0.5mm videos. \hskip 1mm Note \hskip 0.5mm that \hskip 0.5mm the \hskip 0.5mm videos \hskip 0.5mm are \hskip 0.5mm not viewable
  }%
}
\def\@videoFlagFirst{}
\def\videoFlagSecond{%
  \xdef\@videoFlagSecond{
     from this PDF file. \hskip 1mm The videos are available as separate files on the
  }%
}
\def\@videoFlagSecond{}
\def\videoFlagThird{%
  \xdef\@videoFlagThird{
     website that hosts this PDF file.
  }%
}
\def\@videoFlagThird{}

\setcounter{secnumdepth}{4}
\newcounter{section}
\newcounter{subsection}[section]
\newcounter{subsubsection}[subsection]
\newcounter{paragraph}[subsubsection]
\newcounter{subparagraph}[paragraph]
\renewcommand{\thesection}{\@arabic\c@section}
\renewcommand{\thesubsection}{\thesection.\,\@arabic\c@subsection}
\renewcommand{\thesubsubsection}{%
 \hskip-1.75mm (\,\@arabic\c@subsubsection\,)\hskip-1.75mm}
\renewcommand{\theparagraph}{%
 \hskip-1.75mm (\,\@alph\c@paragraph\,)\hskip-1.75mm}
\renewcommand{\thesubparagraph}{%
 \hskip-1.75mm (\,\@roman\c@subparagraph\,)\hskip-1.75mm}

\def\@afterheading{%
 \global\@nobreaktrue
 \everypar{%
  \if@nobreak
   \global\@nobreakfalse
   \clubpenalty\z@
    \if@afterindent
    \else
     {\setbox\z@=\lastbox}%
    \fi
  \else
   \clubpenalty\@clubpenalty
   \everypar{}%
  \fi}%
}

%%% \@startsection{NAME}{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}
\def\@startsection#1#2#3#4#5#6{\if@noskipsec \leavevmode \fi
   \par \@tempskipa #4\relax
   \@afterindenttrue
   \ifdim \@tempskipa <\z@ \@tempskipa -\@tempskipa \@afterindentfalse\fi
   \if@nobreak
    \everypar{}%
   \else
    \addpenalty\@secpenalty
%    \ifnum#2=\@ne
     \vskip-\prevdepth \prevdepth\z@ \vskip\baselineskip
     \advance\@tempskipa-\baselineskip
     \vspace*{\@tempskipa}
%    \else
%     \vskip-\prevdepth \prevdepth\z@ \vskip\Cvs
%      \advance\@tempskipa-\Cvs
%      \vspace*{\@tempskipa}
%    \fi
   \fi
 \@ifstar{\@ssect{#3}{#4}{#5}{#6}}{\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}

%%% \@sect{NAME}{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}[ARG1]{ARG2}
\def\@sect#1#2#3#4#5#6[#7]#8{%
 \ifnum #2>\c@secnumdepth
  \let\@svsec\@empty
 \else
  \refstepcounter{#1}%
  \protected@edef\@svsec{\@seccntformat{#1}\relax}%
 \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa<\z@
   \def\@svsechd{%
     #6{\hskip #3\relax
        \@svsec #8}%
   }%
  \else
   \begingroup
    #6{%
      \@hangfrom{\hskip #3\relax\@svsec}%
       \interlinepenalty\@M\@secjidori{#4}{#8}\@@par
      }%
   \endgroup
  \fi
  \@xsect{#5}}

\def\@seccntformat#1{\csname the#1\endcsname
 \csname dotafter@#1\endcsname\hskip3.5mm}

\def\dotafter@section{.}

%%% \@ssect{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}{ARG} ==
\def\@ssect#1#2#3#4#5{%
  \@tempskipa #3\relax
  \ifdim \@tempskipa<\z@
   \def\@svsechd{#4{\hskip #1\relax #5}}%
  \else
   \begingroup
    #4{%
       \@hangfrom{\hskip #1}%
        \interlinepenalty\@M \@secjidori{#2}{#5}\@@par
      }%
   \endgroup
  \fi
  \@xsect{#3}}

\def\@xsect#1{%
  \@tempskipa #1\relax
  \ifdim \@tempskipa<\z@
    \@nobreakfalse
    \global\@noskipsectrue
    \everypar{%
      \if@noskipsec
        \global\@noskipsecfalse
       {\setbox\z@\lastbox}%
        \clubpenalty\@M
        \begingroup \@svsechd \endgroup
        \unskip
        \@tempskipa #1\relax
        \hskip -\@tempskipa
      \else
        \clubpenalty \@clubpenalty
        \everypar{}%
      \fi}%
  \else
    \par \nobreak
    \vskip \@tempskipa
    \@afterheading
  \fi
  \ignorespaces}

\newif\ifjidori\jidoritrue

\def\@secjidori#1#2{%
 #2
}

\def\sec@font{
\fontsize{10.95}{\baselineskip}\selectfont\bfseries
}

\newcommand{\section}{\@startsection{section}{1}{3.25mm}%
   {.5\baselineskip \@plus.3\dp0 \@minus.1\dp0}% 
   {.5\baselineskip \@plus.3\dp0 \@minus.1\dp0}%
   {\reset@font\sec@font}}
\newcommand{\subsection}{\@startsection{subsection}{2}{3.5mm}%
   {\z@ \@plus.2\dp0 \@minus.1\dp0}%
   {\z@ \@plus.2\dp0 \@minus.1\dp0}%
   {\reset@font\normalsize\bfseries}}
\newcommand{\subsubsection}{\@startsection{subsubsection}{3}{3.5mm}%
   {\z@ \@plus.2\dp0 \@minus.1\dp0}%
   {\z@ \@plus.2\dp0 \@minus.1\dp0}%
   {\reset@font\normalsize}}
\newcommand{\paragraph}{\@startsection{paragraph}{4}{3.5mm}%
   {\z@ \@plus.2\dp0 \@minus.1\dp0}%
   {\z@ \@plus.2\dp0 \@minus.1\dp0}%
   {\reset@font\normalsize}}
\newcommand{\subparagraph}{\@startsection{subparagraph}{5}{3.5mm}%
   {\z@ \@plus.2\dp0 \@minus.1\dp0}%
   {-7mm}
   {\reset@font\normalsize}}

\def\appendix{\par
 \jidorifalse
  \section*{\normalsize\bfseries\centering 
   \inhibitglue \appendixname \inhibitglue}
 \jidoritrue
  \def\section{\@startsection{section}{1}{3.5mm}
   {\z@ \@plus.3\dp0 \@minus.1\dp0}
   {\z@ \@plus.3\dp0 \@minus.1\dp0}
   {\normalsize\bfseries}}%
 \setcounter{section}{0}%
 \setcounter{subsection}{0}%
 \setcounter{equation}{0}%
 \setcounter{figure}{0}%
 \setcounter{video}{0}%
 \setcounter{table}{0}%
 \setcounter{photo}{0}%
 \def\thesection{\@Alph\c@section}%
 \def\thesubsection{\thesection.\,{\arabic{subsection}}}%
  \renewcommand{\figurename}{app.Fig.\,}%
  \renewcommand{\videoname}{app.Video~}%
  \renewcommand{\tablename}{app.Table~}%
  \renewcommand{\photoname}{app.Photo~}%
  \def\theequation{{\normalsize app.\arabic{equation}}}%
}

\if@twocolumn
  %\setlength\leftmargini {2zw}
  \setlength\leftmargini {7mm}
\else
  \setlength\leftmargini {7mm}
\fi
\setlength\leftmarginii  {7mm}
\setlength\leftmarginiii {7mm}
\setlength\leftmarginiv  {7mm}
\if@twocolumn
  \setlength\leftmarginv {7mm}
  \setlength\leftmarginvi{7mm}
\else
  \setlength\leftmarginv {7mm}
  \setlength\leftmarginvi{7mm}
\fi
\setlength  \labelsep  {3.5mm}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty

\renewcommand{\theenumi}{\@arabic\c@enumi}
\renewcommand{\theenumii}{\@alph\c@enumii}
\renewcommand{\theenumiii}{\@roman\c@enumiii}
\renewcommand{\theenumiv}{\@Alph\c@enumiv}
\newcommand{\labelenumi}{\hskip-1.75mm (\,\theenumi\,)\hskip-1.75mm}
\newcommand{\labelenumii}{\hskip-1.75mm (\,\theenumii\,)\hskip-1.75mm}
\newcommand{\labelenumiii}{\theenumiii.}
\newcommand{\labelenumiv}{\theenumiv.}
\renewcommand{\p@enumii}{\theenumi}
\renewcommand{\p@enumiii}{\theenumi(\theenumii)}
\renewcommand{\p@enumiv}{\p@enumiii\theenumiii}

\renewenvironment{enumerate}
  {\ifnum \@enumdepth >\thr@@\@toodeep\else
   \advance\@enumdepth\@ne
   \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
   \list{\csname label\@enumctr\endcsname}{%
         \topsep\z@\partopsep\z@\parsep\z@\itemsep\z@
         \advance \leftmargin 3.5mm
         \labelsep3.5mm
         \itemindent3.5mm
         \listparindent3.5mm
         \@nobreakfalse
         \usecounter{\@enumctr}%
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}

\newcommand{\labelitemi}{\leavevmode\hbox to 3.5mm{\hss \textbullet\hss}}
\newcommand{\labelitemii}{$\circ$}
\newcommand{\labelitemiii}{\textasteriskcentered}
\newcommand{\labelitemiv}{\textperiodcentered}

\renewenvironment{itemize}
  {\ifnum \@itemdepth >\thr@@\@toodeep\else
   \advance\@itemdepth\@ne
   \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
   \expandafter
   \list{\csname \@itemitem\endcsname}{% 
         \topsep\z@\partopsep\z@\parsep\z@\itemsep\z@
         \leftmargin\z@
         \labelwidth3.5mm
         \labelsep\z@
         \itemindent7mm
         \listparindent3.5mm
         \@nobreakfalse
         \def\makelabel##1{\leavevmode\hbox to 3.5mm{\hss ##1\hss}}%
   }%
   \fi}{\endlist}

\def\Itemize{%
 \ifnum \@itemdepth >3 \@toodeep\else
  \advance\@itemdepth \@ne
  \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
  \list{\csname\@itemitem\endcsname}{%
        \topsep\z@\partopsep\z@\parsep\z@\itemsep\z@
        \leftmargin7mm
        \labelwidth3.5mm
        \labelsep\z@
        \itemindent\z@
        \listparindent3.5mm
        \@nobreakfalse
        \def\makelabel##1{\leavevmode\hbox to 3.5mm{\hss ##1\hss}}%
       }%
 \fi}
\let\endItemize\endlist

\def\descriptionlabel#1{%
  \setbox0\hbox{\bfseries #1}%
  \dimen0=\wd0 \dimen1=3.5mm
  \divide \dimen0 \dimen1
  \multiply \dimen0 \dimen1
  \ifdim \dimen0<\wd0 \advance \dimen0 \dimen1 \fi
  \hbox to \dimen0{\box0 \hfil}\hfil}

\def\description{%
 \list{}
      {%
       \topsep\z@\partopsep\z@\parsep\z@\itemsep\z@
       \labelwidth\leftmargin
       \labelsep3.5mm
       \listparindent3.5mm
       \advance \labelwidth -\labelsep
       \let\makelabel\descriptionlabel
       \@nobreakfalse
      }%
}
\let\enddescription\endlist

\newskip\@hlskip
\@hlskip=.5\baselineskip \@plus 1mm \@minus .5mm

\newenvironment{verse}
  {\let\\\@centercr
   \list{}{\itemsep\z@
           \topsep\@hlskip\partopsep\z@\parsep\z@
           \itemindent -3.5mm
           \listparindent\itemindent
           \rightmargin\leftmargin \advance\leftmargin 3.5mm}%
           \item\relax}{\endlist}

\newenvironment{quotation}
  {\list{}{\listparindent 3.5mm
           \itemindent\listparindent
           \rightmargin\leftmargin
           \topsep\@hlskip\partopsep\z@\parsep\z@\itemsep\z@
           }%
           \item\relax}{\endlist}

\newenvironment{quote}
  {\list{}{%
           \topsep\@hlskip\partopsep\z@\parsep\z@\itemsep\z@
           \rightmargin\leftmargin}%
           \item\relax}{\endlist}

\gdef\tabbing{\lineskip \z@skip\let\>\@rtab\let\<\@ltab\let\=\@settab
     \let\+\@tabplus\let\-\@tabminus\let\`\@tabrj\let\'\@tablab
     \let\\=\@tabcr
     \@hightab\@firsttab
     \global\@nxttabmar\@firsttab
     \dimen\@firsttab\@totalleftmargin
     \global\@tabpush\z@ \global\@rjfieldfalse
     \topsep\@hlskip\partopsep\z@\parsep\z@
     \trivlist \item\relax
     \if@minipage\else\vskip\parskip\fi
     \setbox\@tabfbox\hbox{%
       \rlap{\hskip\@totalleftmargin\indent\the\everypar}}%
     \def\@itemfudge{\box\@tabfbox}%
     \@startline\ignorespaces}

\newdimen\verbatimleftmargin
  \verbatimleftmargin\z@
\newdimen\verbatimbaselineskip
  \verbatimbaselineskip\baselineskip
\def\verbatimsize{\normalsize}

\def\@verbatim{%
 \topsep\z@\partopsep\z@\parsep\z@\itemsep\z@
 \trivlist \item\relax
  \if@minipage\else
   \vskip\baselineskip
   \vskip-\verbatimbaselineskip
%  \vskip\parskip
  \fi
  \leftskip\@totalleftmargin
  \if@minipage\else
   \advance \leftskip by \verbatimleftmargin
  \fi
  \rightskip\z@skip
  \parindent\z@\parfillskip\@flushglue\parskip\z@skip
  \@@par
  \@tempswafalse
  \def\par{%
    \if@tempswa
      \leavevmode \null \@@par\penalty\interlinepenalty
    \else
      \@tempswatrue
      \ifhmode\@@par\penalty\interlinepenalty\fi
    \fi}%
  \let\do\@makeother \dospecials
  \obeylines 
   \verbatimsize \baselineskip\verbatimbaselineskip
   \verbatim@font \@noligs
  \everypar \expandafter{\the\everypar \unpenalty}%
}

%% \def\verbatim@font{\normalfont\ttfamily}

\newcounter{figure}
\renewcommand{\thefigure}{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename\thefigure}
\newenvironment{figure}
               {\@floatenv\capwidth70mm%\ecapwidth70mm
                \abovecaptionskip3pt\belowcaptionskip\z@\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@floatenv\capwidth130mm%\ecapwidth130mm
%%                \abovecaptionskip3pt\\z@\@dblfloat{figure}}
			  \abovecaptionskip3pt\belowcaptionskip\z@\@dblfloat{figure}}
               {\end@dblfloat}
               
\newcounter{video}
\renewcommand{\thevideo}{\@arabic\c@video}
\def\fps@video{tbp}
\def\ftype@video{1}
\def\ext@video{lof}
\def\fnum@video{\videoname\thevideo}
\newenvironment{video}
               {\@floatenv\capwidth70mm%\ecapwidth70mm
                \abovecaptionskip3pt\belowcaptionskip\z@\@float{video}}
               {\end@float}
\newenvironment{video*}
               {\@floatenv\capwidth130mm%\ecapwidth130mm
                \abovecaptionskip3pt\belowcaptionskip\z@\@dblfloat{video}}
               {\end@dblfloat}

\newcounter{table}
\renewcommand{\thetable}{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename\thetable}
\newenvironment{table}
               {\@floatenv\capwidth70mm%\ecapwidth70mm
                \abovecaptionskip\z@\belowcaptionskip3pt\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@floatenv\capwidth130mm%\ecapwidth130mm
                \abovecaptionskip\z@\belowcaptionskip3pt\@dblfloat{table}}
               {\end@dblfloat}

\newcounter{photo}
\renewcommand{\thephoto}{\@arabic\c@photo}
\def\fps@photo{tbp}
\def\ftype@photo{4}
\def\ext@photo{lof}
\def\fnum@photo{\photoname\thephoto}
\newenvironment{photo}
               {\@floatenv\capwidth70mm%\ecapwidth70mm
                \abovecaptionskip3pt\belowcaptionskip\z@\@float{photo}}
               {\end@float}
\newenvironment{photo*}
               {\@floatenv\capwidth130mm%\ecapwidth130mm
                \abovecaptionskip3pt\belowcaptionskip\z@\@dblfloat{photo}}
               {\end@dblfloat}

\def\@floatboxreset {%
 \reset@font
 \footnotesize\tabcolsep1.75mm
 \@setminipage
}

\def\@floatenv{\let\center\Center}

\def\Center{\topsep\z@\partopsep\z@\parsep\z@\itemsep\z@
 \trivlist \centering\item\relax}
\let\endCenter\endtrivlist

\long\def\@caption#1[#2]#3{\par
% \addcontentsline{\csname ext@#1\endcsname}{#1}%
%  {\protect\numberline{\csname the#1\endcsname}{\ignorespaces #2}}%
 \begingroup
  \@parboxrestore
  \if@minipage
   \@setminipage
  \fi
  \footnotesize
  \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
 \endgroup}

\newdimen\abovecaptionskip
\newdimen\belowcaptionskip
\newdimen\capwidth

\def\ite@shortstack{\@ifnextchar[% ]
 \@ite@shortstack{\@ite@shortstack[c]}}
\def\@ite@shortstack[#1]{%
  \leavevmode
  \vbox\bgroup
%    \baselineskip-\p@\lineskip 3\p@
    \let\mb@l\hss\let\mb@r\hss
    \expandafter\let\csname mb@#1\endcsname\relax
    \let\\\@stackcr
    \@ishortstack}

\long\def\@makecaption#1#2{%
 \vskip\abovecaptionskip
 \setbox\@tempboxa\hbox{{\bfseries #1}\hskip3.5mm\ite@shortstack[l]{#2}}%
 \@tempdima\ht\@tempboxa
 \advance \@tempdima \dp\@tempboxa
 \setbox\@tempboxb\hbox{\bfseries #1\hskip3.5mm}%
 \ifdim \@tempdima > \baselineskip
  \hfil\parbox[t]{\wd\@tempboxa}{\hangindent\wd\@tempboxb 
   {\bfseries #1}\hskip3.5mm #2}\par
  \nointerlineskip
  \vskip1.5mm
 \else
  \ifdim \wd\@tempboxa > \capwidth
   \hfil\parbox[t]{\capwidth}{\hangindent\wd\@tempboxb 
    {\bfseries #1}\hskip3.5mm #2}\par
   \nointerlineskip
   \vskip1.5mm
  \else
   \hbox to\hsize{\hss\box\@tempboxa\hss}%
  \fi
 \fi
}

\arraycolsep 5\p@
\tabcolsep 1.75mm
\arrayrulewidth .1mm
\doublerulesep .3mm
\tabbingsep\labelsep

\skip\@mpfootins = \skip\footins
\setlength\fboxsep{1.75mm}
\setlength\fboxrule{.1mm}

\renewcommand{\theequation}{\@arabic\c@equation}
\DeclareOldFontCommand{\mc}{\normalfont\mcfamily}{\mathmc}
\DeclareOldFontCommand{\gt}{\normalfont\gtfamily}{\mathgt}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*{\cal}{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*{\mit}{\@fontswitch\relax\mathnormal}

\newdimen\bibindent
\setlength\bibindent{1.5em}
\newcommand{\newblock}{\hskip .11em\@plus.33em\@minus.07em}

\newenvironment{thebibliography}[1]
 {\jidorifalse
  \section*{\normalsize\bfseries\centering
    \inhibitglue {\refname}\inhibitglue}
  \footnotesize\baselineskip13\@Q
   \list{\@biblabel{\@arabic\c@enumiv}}%
        {\settowidth\labelwidth{\@biblabel{#1}}%
         \topsep\z@\partopsep\z@\parsep\z@\itemsep\z@
         \leftmargin\labelwidth
         \labelsep\z@
%         \advance\leftmargin\labelsep
         \@openbib@code
         \usecounter{enumiv}%
         \let\p@enumiv\@empty
         \renewcommand\theenumiv{\@arabic\c@enumiv}}%
   \sloppy
   \clubpenalty\z@
   \widowpenalty\z@
   \sfcode`\.\@m}
  {\def\@noitemerr
    {\@latex@warning{Empty `thebibliography' environment}}%
   \endlist}

\def\@biblabel#1{#1\hbox to 2.5mm{%
 )\hss}}
\let\@openbib@code\@empty

\renewcommand{\footnoterule}{%
  \kern-3\p@
  \hrule height .1mm width \columnwidth
  \kern 2.715\p@}
\@addtoreset{footnote}{page}

\def\@makefnmark{% \hbox{$^{\@thefnmark}$}
 \hbox{\@textsuperscript{\normalfont\@thefnmark}}%
}

\newcommand\@makefntext[1]{%
 \everypar{\hangindent5mm}%
 \parindent5mm
 \noindent\hbox to 5mm{\hss $^{\@thefnmark}$\,}#1%
}

\def\thefootnote{\fnsymbol{footnote}}
\def\@fnsymbol#1{\ensuremath{%
 \ifcase#1 \or *\or {*}{*}\or {*}{*}{*}\or *4\or
  *5\or *6\or *7\or *8\or *9\or 10\or 11\or 12\else
  \@ctrerr\fi}}

\def\@eqnnum{{\normalfont \normalcolor (\theequation)\hskip2.5mm}}

\def\ite@InListEnv{%
 \ifdim\topsep=\z@
  \@listi
 \fi
}

%% from fleqn.clo
\ProvidesFile{fleqn.clo}
        [1998/08/17 v1.1c Standard LaTeX option
                                   (flush left equations)]
\newdimen\mathindent
\AtEndOfClass{\mathindent5mm}% 2zw
\renewcommand\[{\relax
                \ifmmode\@badmath
                \else
                  \ite@InListEnv
                  \begin{trivlist}%
                    \@beginparpenalty\predisplaypenalty
                    \@endparpenalty\postdisplaypenalty
                    \item[]\leavevmode
                    \hb@xt@\linewidth\bgroup $\m@th\displaystyle %$
                      \hskip\mathindent\bgroup
                \fi}
\renewcommand\]{\relax
                \ifmmode
                      \egroup $\hfil% $
                    \egroup
                  \end{trivlist}%
                \else \@badmath
                \fi}
\renewenvironment{equation}%
    {\@beginparpenalty\predisplaypenalty
     \@endparpenalty\postdisplaypenalty
     \refstepcounter{equation}%
     \ite@InListEnv
     \trivlist \item[]\leavevmode
       \hb@xt@\linewidth\bgroup $\m@th% $
         \displaystyle
         \hskip\mathindent}%
        {$\hfil % $
         \displaywidth\linewidth\hbox{\@eqnnum}%
       \egroup
     \endtrivlist}
\renewenvironment{eqnarray}{%
    \stepcounter{equation}%
    \def\@currentlabel{\p@equation\theequation}%
    \global\@eqnswtrue\m@th
    \global\@eqcnt\z@
    \tabskip\mathindent
    \let\\=\@eqncr
    \ite@InListEnv
    \setlength\abovedisplayskip{\topsep}%
    \ifvmode
      \addtolength\abovedisplayskip{\partopsep}%
    \fi
    \addtolength\abovedisplayskip{\parskip}%
    \setlength\belowdisplayskip{\abovedisplayskip}%
    \setlength\belowdisplayshortskip{\abovedisplayskip}%
    \setlength\abovedisplayshortskip{\abovedisplayskip}%
    $$\everycr{}\halign to\linewidth% $$
    \bgroup
      \hskip\@centering
      $\displaystyle\tabskip\z@skip{##}$\@eqnsel&%
      \global\@eqcnt\@ne \hskip.8\arraycolsep \hfil${##}$\hfil&%
      \global\@eqcnt\tw@ \hskip.8\arraycolsep
        $\displaystyle{##}$\hfil \tabskip\@centering&%
      \global\@eqcnt\thr@@
        \hb@xt@\z@\bgroup\hss##\egroup\tabskip\z@skip\cr}%
      {\@@eqncr
    \egroup
    \global\advance\c@equation\m@ne$$% $$
    \@ignoretrue
    }

\def\@begintheorem#1#2{%
 \topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
 \leftmargin\z@
 \labelsep2.5mm
 \trivlist
   \item[\hskip\labelsep
    {\bfseries\hskip-1.25mm [#1\ #2]\hskip-1.25mm}]}
\def\@opargbegintheorem#1#2#3{%
 \topsep\z@\parsep\z@\itemsep\z@\itemsep\z@
 \leftmargin\z@
 \labelsep2.5mm
 \trivlist
   \item[\hskip\labelsep
    {\bfseries\hskip-1.25mm [#1\ #2]\hskip-1.25mm}%
     (#3)\hskip-1.25mm]}
%\def\@endtheorem{\endtrivlist}
%\def\@thmcountersep{.}

\newcommand{\refname}{References}

 \newcommand{\figurename}{Fig.\,}
 \newcommand{\videoname}{Video~}
 \newcommand{\tablename}{Table~}
 \newcommand{\photoname}{Photo~}
 \newcommand{\appendixname}{Appendix}

%%% from "citesort.sty", a little customized
\newcount\@minsofar
\newcount\@min
\newcount\@cite@temp
\def\@citex[#1]#2{%
\if@filesw \immediate \write \@auxout {\string \citation {#2}}\fi
\@tempcntb\m@ne \let\@h@ld\relax \def\@citea{}%
\@min\m@ne%
\@cite{%
  \@for \@citeb:=#2\do {\@ifundefined {b@\@citeb}%
    {\@h@ld\@citea\@tempcntb\m@ne{\bfseries ?}%
    \@warning {Citation `\@citeb ' on page \thepage \space undefined}}%
{\@minsofar\z@ \@for \@scan@cites:=#2\do {%
  \@ifundefined{b@\@scan@cites}%
    {\@cite@temp\m@ne}
    {\@cite@temp\number\csname b@\@scan@cites \endcsname \relax}%
\ifnum\@cite@temp > \@min% select the next one to list
    \ifnum\@minsofar = \z@
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\else
    \ifnum\@cite@temp < \@minsofar
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\fi\fi\fi}\@tempcnta\@min
  \ifnum\@minsofar > \z@ % some more
    \advance\@tempcnta\@ne
    \@min\@minsofar
    \ifnum\@tempcnta=\@minsofar %   Number follows previous--hold on to it
      \ifx\@h@ld\relax
        \edef \@h@ld{\@citea\csname b@\@scan@copy\endcsname}%
      \else
       \edef\@h@ld{\ifmmode{%
        )\~{}}\else{%
         )\~{}}\fi\csname b@\@scan@copy\endcsname}%
%        )~}\else{% 
%         )~}\fi\csname b@\@scan@copy\endcsname}%
      \fi
    \else \@h@ld\@citea\csname b@\@scan@copy\endcsname
          \let\@h@ld\relax
  \fi % no more
\fi}%
\def\@citea{%(
 )\penalty\@highpenalty}}\@h@ld}{#1}}
%% end of citesort.sty

%%% from "cite.sty", a little customized
\def\@cite#1#2{\leavevmode\unskip
  \ifnum\lastpenalty=\z@\penalty\@highpenalty\fi% highpenalty before
  $^{\mbox{\tiny 
     {\multiply\@highpenalty 3 #1% % triple-highpenalties within
      \if@tempswa,\penalty\@highpenalty\ #2\fi % and before note.%(
    })}}$\spacefactor\@m}
%%% end of cite.sty

\let\org@cite\@cite
\def\cite{\@ifnextchar[% ]
 {\@tempswatrue\let\@cite\org@cite\@citex}
 {\@tempswafalse\let\@cite\org@cite\@citex[]}}
\def\Cite{\@ifnextchar[% ]
 {\@tempswatrue\let\@cite\@Cite\@citex}
 {\@tempswafalse\let\@cite\@Cite\@citex[]}}

\def\@Cite#1#2{\leavevmode\unskip
  \ifnum\lastpenalty=\z@\penalty\@highpenalty\fi% highpenalty before
  {\multiply\@highpenalty 3 #1%             % triple-highpenalties within
      \if@tempswa,\penalty\@highpenalty\ #2\fi % and before note.%(
    })\spacefactor\@m}


\newcount\@Float@temp
 \def\Fig{\@Ref{Fig}}
 \def\Figure{\@Refnp{Figure}}
 \def\Video{\@Refnp{Video}}
 \def\Table{\@Refnp{Table}}
 \def\Photo{\@Refnp{Photo}}

 \def\appFig{\@Refapp{Fig}}
 \def\appFigure{\@Refnpapp{Figure}}
 \def\appVideo{\@Refnpapp{Video}}
 \def\appTable{\@Refnpapp{Table}}
 \def\appPhoto{\@Refnpapp{Photo}}

 \def\@Ref#1{\gdef\R@f{#1}%
  \gdef\@Reftype{#1.\,}\gdef\@Reftypes{#1s.\,}%
  \@Reffloat}

 \def\@Refnp#1{\def\@Temp{#1}\def\@@Temp{Figure}%
  \ifx\@Temp\@@Temp\gdef\R@f{Fig}\else\gdef\R@f{#1}\fi
  \gdef\@Reftype{#1\ }\gdef\@Reftypes{#1s\ }%
  \@Reffloat}

 \def\@Refapp#1{\gdef\R@f{#1app}%
  \gdef\@Reftype{app.#1.\,}\gdef\@Reftypes{app.#1s.\,}%
  \@Reffloat}

 \def\@Refnpapp#1{\def\@Temp{#1}\def\@@Temp{Figure}%
  \ifx\@Temp\@@Temp\gdef\R@f{Figapp}\else\gdef\R@f{#1app}\fi
  \gdef\@Reftype{app.#1\ }\gdef\@Reftypes{app.#1s\ }%
  \@Reffloat}

 \def\@Reftype{}
 \def\@Reftypes{}

%%% following definition is based on citesort.sty.
\def\@Reffloat#1{\leavevmode
 \@tempcnta\z@
 \@for\count@Float:=#1\do{%
  \advance \@tempcnta by \@ne
  \@ifundefined{bf@\count@Float}%
   {\expandafter\def\csname bf@\count@Float\endcsname{}\def\@BorR{\bfseries }}%
   {\def\@BorR{\relax}}%
 }%
  \ifnum \@tempcnta > \@ne%
   {\@BorR \@Reftypes}%
  \else
   {\@BorR \@Reftype}%
  \fi
 %%
 \@tempcntb\m@ne \let\@h@ld\relax \def\@Floata{}%
 \@min\m@ne
 \@for\@Float:=#1\do{\@ifundefined{r@\@Float}{\@tempcntb\m@ne{\bfseries ?}}%
  {\@minsofar\z@ \@for\@scan@Floats:=#1\do{%
   \@ifundefined{r@\@scan@Floats}{\@Float@temp\m@ne}%
    {\edef\@tempa{\@nameuse{r@\@scan@Floats}}%
     \edef\num@Float{\expandafter\@car\@tempa \@nil}%
     \@Float@temp\num@Float \relax}%
    \ifnum\@Float@temp > \@min
     \ifnum\@minsofar = \z@
      \@minsofar\number\@Float@temp
      \edef\@scan@copy{\@scan@Floats}% 
     \else
      \ifnum\@Float@temp < \@minsofar
      \@minsofar\number\@Float@temp
      \edef\@scan@copy{\@scan@Floats}%
      \fi
     \fi
    \fi}%
  \@tempcnta\@min
  \ifnum\@minsofar > \z@
   \advance\@tempcnta\@ne
   \@min\@minsofar
    \ifnum\@tempcnta=\@minsofar
     \ifx\@h@ld\relax
      \edef\@tempa{\@nameuse{r@\@scan@copy}}%
       \edef\num@Float{\expandafter\@car\@tempa \@nil}%
        \@ifundefined{Float@\R@f\num@Float}%
         {\expandafter\gdef\csname Float@\R@f\num@Float\endcsname{}%
        \let\oldnum@Float=\num@Float
        \def\num@Float{{\noexpand\bfseries \oldnum@Float}}}{\relax}%
        \edef\@h@ld{\@Floata\num@Float}%
     \else
      \edef\@tempa{\@nameuse{r@\@scan@copy}}%
       \edef\num@Float{\expandafter\@car\@tempa \@nil}%
        \@ifundefined{Float@\R@f\num@Float}%
         {\expandafter\gdef\csname Float@\R@f\num@Float\endcsname{}%
        \let\oldnum@Float=\num@Float
        \def\num@Float{{\noexpand\bfseries \oldnum@Float}}}{\relax}%
        \edef\@h@ld{--\num@Float}%
     \fi
    \else
     \edef\@tempa{\@nameuse{r@\@scan@copy}}%
      \edef\num@Float{\expandafter\@car\@tempa \@nil}%
       \@ifundefined{Float@\R@f\num@Float}%
        {\expandafter\gdef\csname Float@\R@f\num@Float\endcsname{}%
       \let\oldnum@Float=\num@Float
       \edef\num@Float{{\noexpand\bfseries \oldnum@Float}}}{\relax}%
       \@h@ld\@Floata\num@Float
     \let\@h@ld\relax
    \fi
  \fi
  }%
  \def\@Floata{,}%
 }%
 \@h@ld}

\def\biography{\par
 \pagebreak[2]%
 \vskip2\baselineskip\vspace*{-\baselineskip}\vskip\baselineskip
 \vskip-\topskip
 \hrule height.1mm
 \nointerlineskip
 \vskip1.5mm
 \nopagebreak}

\def\endbiography{\par
 \nopagebreak
 \hrule height.1mm
}

\def\four@ruby#1 #2 #3 #4\@nil{%
 \def\ruby@i{#1}\def\ruby@ii{#2}%
 \def\ruby@iii{#3}\def\ruby@iv{#4}%
}
\def\four@name#1 #2 #3 #4\@nil{%
 \noexpand\ruby{#1}{\ruby@i}\noexpand\ruby{#2}{\ruby@ii}%
 \noexpand\ruby{#3}{\ruby@iii}\noexpand\ruby{#4}{\ruby@iv}%
}
\def\three@ruby#1 #2 #3\@nil{%
 \def\ruby@i{#1}\def\ruby@ii{#2}%
 \def\ruby@iii{#3}%
}
\def\three@name#1 #2 #3\@nil{%
 \noexpand\ruby{#1}{\ruby@i}\noexpand\ruby{#2}{\ruby@ii}%
 \noexpand\ruby{#3}{\ruby@iii}%
}
\def\two@ruby#1 #2\@nil{%
 \def\ruby@i{#1}\def\ruby@ii{#2}%
}
\def\two@name#1 #2\@nil{%
 \noexpand\ruby{#1}{\ruby@i}\noexpand\ruby{#2}{\ruby@ii}%
}

\newif\ifbad@ruby
\def\@rubycheck#1{%
 \@tempdima\wd\@tempboxa
 \setbox\@tempboxb\hbox{\spaceskip100mm #1}%
 \ifdim\wd\@tempboxb=\@tempdima
  \bad@rubyfalse
 \else
  \ifdim\wd\@tempboxb>.9999\@tempdima
   \bad@rubyfalse
  \else
   \ite@warning{Check spaces between characters in \string\profile\space "#1"}
   \bad@rubytrue
  \fi
 \fi
}

\newdimen\@profilenamesep\@profilenamesep\z@
\def\profilenamesep#1{\@profilenamesep#1}
\def\profile@font{\bfseries\fontsize{10.95}{\f@baselineskip}\selectfont}
\newcount\c@profile

\newif\ifkchar@name

%% \profile{Yahya}[]{Aydin}[]
\long\def\profile#1[#2]#3[#4]#5{%
 \advance \c@profile \@ne
  \def\@FN{#1}%
  \def\@LN{#3}%
  \@namesep1ex
 %%
 \parindent\z@
 \@tempdima17.75mm
 \leavevmode\lower\@tempdima\hbox{\profile@box}%
 \hfill
 \begin{minipage}[t]{62.5mm}
  \ifdim\@profilenamesep=\z@
   \@profilenamesep\@namesep
  \fi
  \footnotesize\baselineskip12\@Q
  \leavevmode\lower.25mm\hbox{\profile@font \@FN\hskip\@profilenamesep\@LN}%
   \hskip1.5mm #5\par
 \end{minipage}\par
 \nointerlineskip
 \vskip1.5mm
}

%%% pdf format of atuhor photo was deleted. (2012/12/17 by Sho Takahashi)
%\ifx\pdfpageheight\@undefined
% \def\ite@in@ext{eps}
%\else
% \def\ite@in@ext{pdf}
%\fi

%%% eps format only in author photo. (2012/12/17 by Sho Takahashi)
\def\ite@in@ext{eps}

\def\profile@box{%
 \IfFileExists{a\the\c@profile.\ite@in@ext}%
  {\lower3.5mm\hbox{%
   \resizebox{18mm}{!}{\includegraphics{a\the\c@profile.\ite@in@ext}}}}%
  {\line@p@box}%
}

\def\line@p@box{%
 \begin{minipage}[t]{18mm}%
  \vbox{%
   \hrule height .1mm
    \hbox to 18mm{%
     \vrule width.1mm height 20mm
      \hss
     \vrule width.1mm height 20mm
    }%
   \hrule height .1mm
  }%
 \end{minipage}%
}

%%% <local definitions>
\def\onelineskip{\par\vspace{1\baselineskip}\par}
\def\halflineskip{\par\vspace{.5\baselineskip}\par}

\def\ddash{\penalty\@M\leavevmode
 \setbox0\hbox{------}%
 \ifdim\wd0>5mm
  \raise0.3mm\hbox to 5mm{---\hss ---}%
 \else
  \raise0.3mm\hbox to 5mm{\hss ---\kern-.01ex ---\hss}%
 \fi
}
\def\zdash{\penalty\@M\leavevmode\raise0.3mm\hbox{---}}
\def\hdash{\penalty\@M\leavevmode\raise0.3mm\hbox{--}}
\def\MARU#1{\raisebox{0.3mm}%
 {{\normalfont\ooalign{\hfil\lower.168ex\hbox{#1}\hfil\crcr\mathhexbox20D}}}}
\def\FRAC#1#2{\leavevmode\kern-.1em
  \raise.5ex\hbox{\the\scriptfont0 #1}\kern-.1em
  /\kern-.15em\lower.25ex\hbox{\the\scriptfont0 #2}}
\def\kintou#1#2{%
 \leavevmode\hbox to #1{%
  \kanjiskip\z@ plus 1fill minus 1fill\xkanjiskip\kanjiskip #2\hfil}}
\def\ruby#1#2{\leavevmode \setbox0=\hbox{#1}\setbox1=\hbox{\tiny#2}%
 \ifdim\wd0>\wd1 \dimen0=\wd0 \else \dimen0=\wd1 \fi
 \hbox{\kanjiskip=\fill
  \vbox{\hbox to \dimen0{\tiny \hfil#2\hfil}%
  \nointerlineskip \hbox to \dimen0{\hfil#1\hfil}}}}
\def\RN#1{\uppercase\expandafter{\romannumeral#1}}
\def\QED{{\unskip\nobreak\hfil\penalty50
 \hskip2.5mm\hbox{}\nobreak\hfil \hbox{$\Box$\hskip2.5mm}
 \parfillskip\z@ \finalhyphendemerits\z@\par}}

\def\leq{\mathrel{\mathpalette\gl@align<}} \let\le\leq
\def\geq{\mathrel{\mathpalette\gl@align>}} \let\ge\geq
\def\gl@align#1#2{\lower.6ex\vbox{\baselineskip\z@skip\lineskip\z@
 \ialign{$\m@th#1\hfil##\hfil$\crcr#2\crcr=\crcr}}}
\def\neq{\mathrel{\mathpalette\c@ncelass=}}
\def\c@ncelass#1#2{\ooalign{$\hfil#1\mkern-.4mu|\hfil$\crcr$#1#2$}}
\let\ne\neq
%%% </local definitions>

\def\sloppy{\tolerance9999\hbadness9999\hfuzz.5\p@ \vfuzz.5\p@}
\hbadness4000
\vbadness10001
\tolerance4000 \pretolerance\m@ne
\clubpenalty\z@
\widowpenalty\z@
\displaywidowpenalty\z@
\interdisplaylinepenalty\z@
\predisplaypenalty\z@

\AtBeginDocument{%
 %%% amsmath
 \@ifundefined{maketag@@@}{}
  {%
   \@mathmargin5mm \@plus\z@ \@minus\z@
   \multlinegap5mm
   \def\maketag@@@#1{\hbox{\m@th\normalfont #1}\hskip2.5mm}%
   \def\eqref#1{\textup{\tagform@{\ref{#1}}\unskip}}%
  }%
 %%% here.sty
 \@ifundefined{@HHfloat}{}{%
  \def\@HHfloat#1[H]{%
   \expandafter\let\csname end#1\endcsname\end@Hfloat
   \vskip\intextsep
   \vbox\bgroup\def\@captype{#1}\parindent\z@
   \@floatboxreset %% added
   \ignorespaces}%
  \def\end@Hfloat{\egroup\vskip-1zh %% added
   \vskip \intextsep}%
 }%
 %%% gray scale
 \@ifundefined{definecolor}{%
  \let\textcolor\@gobbletwo
  \ite@warning{color package is required.^^J
   \string\usepackage[usenames]\string{color\string}}
 }{\definecolor{headgray}{gray}{0.7}}%
}

\AtEndDocument{%
 %%% label of lastpage
 \immediate\write\@auxout
  {\string\newlabel{ite@lastpage}{{\@currentlabel}{\thepage}}}%
}

\pagestyle{ITE}
\pagenumbering{arabic}
\raggedbottom
\if@twocolumn
 \twocolumn
 \sloppy
 \flushbottom
\else
 \onecolumn
\fi
\if@twoside
  \@mparswitchtrue
\else
  \@mparswitchfalse
\fi

\endinput
